import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {AdvancedSearchDatasetsRoutingModule} from './advancedSearchDatasets-routing.module';
import {OpenaireAdvancedSearchDatasetsComponent} from './advancedSearchDatasets.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
import {AdvancedSearchResearchResultsModule} from "../../openaireLibrary/searchPages/advanced/advancedSearchResearchResults.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    AdvancedSearchDatasetsRoutingModule, AdvancedSearchResearchResultsModule

  ],
  declarations: [
    OpenaireAdvancedSearchDatasetsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    OpenaireAdvancedSearchDatasetsComponent
     ]
})
export class LibAdvancedSearchDatasetsModule { }
