import {Component, Input} from '@angular/core';
import {Observable}       from 'rxjs';
import {ZenodoInformationClass} from '../../openaireLibrary/deposit/utils/zenodoInformation.class'; 

@Component({
    selector: 'openaire-deposit-by-subject-result',
    template:`<deposit-by-subject-result [zenodoInformation]="zenodoInformation"></deposit-by-subject-result>`
})

export class OpenaireDepositBySubjectResultComponent {
  public zenodoInformation: ZenodoInformationClass = new ZenodoInformationClass();
}
