import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{ SearchOrpsRoutingModule} from './searchOrps-routing.module';
import{OpenaireSearchOrpsComponent} from './searchOrps.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
import {SearchResearchResultsModule} from "../../openaireLibrary/searchPages/simple/searchResearchResults.module";


@NgModule({
  imports: [
    CommonModule, FormsModule,
    SearchOrpsRoutingModule, SearchResearchResultsModule

  ],
  declarations: [
    OpenaireSearchOrpsComponent
   ],
  providers:[FreeGuard,PreviousRouteRecorder, IsRouteEnabled],
  exports: [
    OpenaireSearchOrpsComponent
     ]
})
export class LibSearchOrpsModule { }
